记录 TypeScript 使用过程中遇到的小问题和解决方案。

Trap

cannot find name ‘require’

const i18n = require('LanguageData');

2.x 版本的 TypeScript 可以直接使用如下命令解决。

npm install @types/node --save-dev

https://stackoverflow.com/questions/31173738/typescript-getting-error-ts2304-cannot-find-name-require